import request from '@/utils/request'

//待我审批列表
export const getData = params => {
    return request({
        url: '/point-strategy/v/approveApply/queryApproveApply',
        method: 'post',
        params
    })
}

//待我审批列表-查询所有
export const getDataAll = params => {
    return request({
        url: '/point-strategy/v/approveApply/queryApproveApply3',
        method: 'post',
        params
    })
}

//待我审批列表 - 申请档案数量查看列表
export const getViewData = params => {
    return request({
        url: '/point-strategy/v/approveApply/queryApproveInfo',
        method: 'post',
        params
    })
}

//审批表单-节点历史查询
export const getNodeList = params => {
    return request({
        url: '/point-strategy/v/approveApply/approveListByApplyId',
        method: 'post',
        params
    })
}
//查询原文图片的个数
export const selectFileCounts = params => {
    return request({
        url: '/point-strategy/v/approveApply/selectFileCounts',
        method: 'post',
        params
    })
}

//审批表单-通过/不通过
export const approvePassOrNotPass = params => {
    return request({
        url: '/point-strategy/v/approveApply/approvePassOrNotPass',
        method:'post',
        params,
    })
}

// 查询信息详情-
export const queryApproveDetails = data => {
    return request({
        url: '/point-strategy/v/approveApply/queryApproveDetails',
        method:'post',
        data,
    })
}


// 查询信息详情-原文
export const archiveCopying = data => {
    return request({
        url: '/point-strategy/v/approveApply/archiveCopying ',
        method:'post',
        data,
    })
}

